> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Find a transaction by hash or BOC

> Locate full transaction trace details using a transaction hash, message hash, or BOC.

Use this to locate full trace details when you only have a **transaction hash**, **message hash**, or **raw BOC**.

## Example using `curl`

```bash theme={null}
curl "https://toncenter.com/api/v3/traces?tx_hash=080d6df19a235b646a18188ef24ddf6e1764cf9781826b714ac02e0fce8ad687" \
  -H "X-API-Key: <your-api-key>"
```

You can replace `tx_hash` with `msg_hash` or `boc`:

```bash theme={null}
curl "https://toncenter.com/api/v3/traces?msg_hash=b694c52fd8ef57..." \
  -H "X-API-Key: <your-api-key>"
```

***

## Sample response

```json theme={null}
{
  "result": [
    {
      "tx_hash": "080d6df19a235b646a18188ef24ddf6e1764cf9781826b714ac02e0fce8ad687",
      "account": "UQC436Vt-TCTF0tjqMgbxiu0LEiJmVXmykEkw17us1fqKdPK",
      "status": "success",
      "lt": "39242037000001",
      "utime": 1721429224,
      ...
    }
  ]
}
```

***
